package videoautomat;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;

import log.LogInputStream;
import log.stdforms.LogTableForm;
import sale.Gate;
import sale.SaleProcess;
import sale.UIGate;
import sale.stdforms.MsgForm;
import videoautomat.contentcreator.AdminLTFContentCreator;
import videoautomat.contentcreator.AdminMFContentCreator;
/**
 * This class implements a <code>SaleProcess</code> for the administrative work.
 *  
 */
public class SaleProcessAdmin extends SaleProcess {
	/**
	 * Constructs a new SaleProcessAdmin.
	 *  
	 */
	public SaleProcessAdmin() {
		super("SaleProcessAdmin");
	}
	
	/**
	 * Implementation of the inherited abstract method. At this <code>Gate</code> the user will see the content of
	 * the global logfile.
	 * 
	 * @return the <code>Gate</code> this process will first switch to.
	 * 
	 * @see sale.SaleProcess#getInitialGate()
	 */
	protected Gate getInitialGate() {
    
	    // generate the initial gate
	    UIGate uig_logfile = new UIGate(null, null);
	    
	    try
	    {
	        FileInputStream fis = new FileInputStream(VideoShop.FILENAME);
			LogInputStream lis = new LogInputStream(fis, new LogEntryFilterImpl());
			LogTableForm ltf_log = new LogTableForm("Logged information", lis);
			ltf_log.addContentCreator(new AdminLTFContentCreator());
			uig_logfile.setFormSheet(ltf_log);
	    }
	    catch(FileNotFoundException e)
	    {
	        getStopGate();
	        e.printStackTrace();
	    }
	    catch(IOException e)
	    {
	        MsgForm msf_ioexc = new MsgForm(
	                "Empty-LogFile!",
	                "The log file was found empty.\nNothing to administrate here.");
	        msf_ioexc.addContentCreator(new AdminMFContentCreator());
	        uig_logfile.setFormSheet(msf_ioexc);
	    }
		return uig_logfile;
	}
}
