package videoautomat;
import java.awt.Rectangle;

import sale.FormSheet;
import sale.SalesPoint;
import videoautomat.contentcreator.StartFSContentCreator;
import data.stdforms.SingleTableFormSheet;

/**
 * This class is an implementation of a <code>SalesPoint</code>, at which all the user
 * activities take place.
 *  
 */
public class VideoAutomat extends SalesPoint {
	/**
	 * The Constructor of VideoAutomat 
	 *  
	 */
	public VideoAutomat() {
		super(VideoShop.CAPTION_AUTOMAT);
		setSalesPointFrameBounds(new Rectangle(0, 0, 640, 480));
	}

	/**
	 * @return the default <code>FormSheet</code> shown whenever no process is running.
	 * @see sale.SalesPoint#getDefaultFormSheet()
	 */
	protected FormSheet getDefaultFormSheet() {
		FormSheet fs = 
                SingleTableFormSheet.create(
                    "Please log on!",
                    VideoShop.getVideoStock(),
                    null,
                    false,
                    new TEDVideoStock());
		fs.addContentCreator(new StartFSContentCreator());
		return fs;
	}
	
}
