package videoautomat;
import java.util.Date;

import sale.Shop;
import data.NumberValue;
import data.ooimpl.StockItemImpl;
/**
 * This class implements a StockItem, representing a rented video, including the <code>Date</code> when it was rented
 */
public class VideoCassette extends StockItemImpl {
	/*
	 * The time this video was rented as long
	 */
	private long rentTime;

	/**
	 * Constructs a new VideoCassette with the given name and the current time as renting time
	 * 
	 * @param key
	 *                  the name of the video
	 */
	public VideoCassette(String key) {
		super(key);
		rentTime = ((Date) Shop.getTheShop().getTimer().getTime()).getTime();
	}
	/**
	 * @return the days this video is already rented, in the case of 0 days it returns 1.
	 */
	public int getDays() {
		long l = ((Date) Shop.getTheShop().getTimer().getTime()).getTime() - rentTime;
		l /= 86400000;
		if(l==0) return 1;
		return (int) Math.ceil(l);
	}

	/**
	 * @return the cost for this video from the day of renting to the current <code>Date</code>
	 */
	public NumberValue getCost() {
		return (NumberValue) MainClass.RENT_VALUE_DAY.multiply(getDays());
	}
}
