package videoautomat.contentcreator;

import javax.swing.Box;
import javax.swing.BoxLayout;
import javax.swing.JComponent;
import javax.swing.JLabel;
import javax.swing.JPanel;

import data.NumberValue;
import data.stdforms.SingleTableFormSheet;

import sale.FormSheet;
import sale.FormSheetContentCreator;
import videoautomat.VideoShop;
import videoautomat.contentcreator.stdactions.CommitAction;

/**
 * Content creator to add label with get back money and to add commit action.
 * @author Alexander Herrmann
 *
 */
public class HandBackSTFSContentCreator extends FormSheetContentCreator {
    
    private NumberValue numValue;
    
    public HandBackSTFSContentCreator(NumberValue numValue)
    {
        this.numValue = numValue;
    }

    /**
     * Add label and commit action to given FormSheet.
     * @param fs <code>FormSheet</code> to be changed
     */
    protected void createFormSheetContent(FormSheet fs) {
        SingleTableFormSheet stfs = (SingleTableFormSheet) fs;
        JComponent jc = new JPanel();
		jc.setLayout(new BoxLayout(jc, BoxLayout.Y_AXIS));
		jc.add(Box.createVerticalStrut(10));
		jc.add(new JLabel("You get back: " + VideoShop.getCurrency().toString(numValue)));
		jc.add(Box.createVerticalStrut(10));
		jc.add(fs.getComponent());
		fs.setComponent(jc);
		fs.removeButton(FormSheet.BTNID_CANCEL);
		
		fs.getButton(FormSheet.BTNID_OK).setAction(new CommitAction());
    }

}
