package videoautomat.contentcreator;

import sale.FormSheet;
import sale.FormSheetContentCreator;
import videoautomat.contentcreator.stdactions.RollBackAction;
import videoautomat.contentcreator.stdactions.TransitWithAction;
import videoautomat.transition.HandBackCalculateSumTransition;

/**
 * Content creator to add the giveback and cancel buttons and there actions.
 * @author Alexander Herrmann
 *
 */
public class HandBackTTFSContentCreator extends FormSheetContentCreator {

    /**
     * Add GiveBack and Cancel Buttons to the FormSheet.
     * @param fs <code>FormSheet</code> to be changed
     */
    protected void createFormSheetContent(FormSheet fs) {
        fs.removeAllButtons();
        fs.addButton("Give back", 1, new TransitWithAction(new HandBackCalculateSumTransition()));
		fs.addButton("Cancel", 2, new RollBackAction());
    }
    
}
