package videoautomat.contentcreator;

import sale.FormSheet;
import sale.FormSheetContentCreator;
import users.stdforms.LogOnForm;
import videoautomat.contentcreator.stdactions.StopAction;
import videoautomat.contentcreator.stdactions.TransitWithAction;
import videoautomat.transition.LogOnTransition;

/**
 * Content Creator to add action to <code>LogOnForm</code>'s buttons.
 * @author Alexander Herrmann
 *
 */
public class LogOnLOFContentCreator extends FormSheetContentCreator {

    /**
     * Adds the needed actions to the <code>LogOnForm</code> buttons.
     * @param fs - {@link sale.FormSheet} to be changed
     */
    protected void createFormSheetContent(FormSheet fs) {
        fs.getButton(FormSheet.BTNID_OK).setAction(
                new TransitWithAction(new LogOnTransition((LogOnForm) fs)));
        fs.getButton(FormSheet.BTNID_CANCEL).setAction(new StopAction());
    }

}
