package videoautomat.contentcreator;

import sale.FormSheet;
import sale.FormSheetContentCreator;
import videoautomat.SaleProcessLogOn;
import videoautomat.contentcreator.stdactions.TransitWithAction;
import videoautomat.transition.LogOnFailTransition;

/**
 * Content creator to add button with fail transition.
 * @author Alexander Herrmann
 *
 */
public class LogOnMFContentCreator extends FormSheetContentCreator {
    
    /**
     * Adds button to <code>FormSheet</code> that does the 
     * {@link videoautomat.transition.LogOnFailTransition}
     * @param fs - <code>FormSheet</code> to be changed
     */
    protected void createFormSheetContent(FormSheet fs) {
        SaleProcessLogOn processLogOn = (SaleProcessLogOn) fs.getProcess();
        fs.getButton(FormSheet.BTNID_OK).setAction(new TransitWithAction(new LogOnFailTransition()));
    }

}
