package videoautomat.contentcreator;
//<&/LogOnSTFSCC0>

import sale.FormSheet;
import sale.FormSheetContentCreator;
import users.ActionCapability;
import users.User;
import videoautomat.AutomatUser;
import videoautomat.SaleProcessHandBack;
import videoautomat.SaleProcessLogOn;
import videoautomat.SaleProcessRent;
import videoautomat.contentcreator.stdactions.LogOutAction;
import videoautomat.contentcreator.stdactions.RunProcessAction;
import data.ooimpl.DataBasketImpl;

/**
 * Content creator to add the four main buttons to the FormSheet
 * @author Alexander Herrmann
 *
 */
public class LogOnSTFSContentCreator extends FormSheetContentCreator {
    
    private User user;
    
    /**
     * Constructor for referencing the <code>User</code>
     * @param process - <code>SaleProcessLogOn</code> from where to get the user
     */
    public LogOnSTFSContentCreator(SaleProcessLogOn process)
    {
        user = (User) process.getContext().getCurrentUser(process);
    }

    /**
     * Generates the content and adds the four main buttons.
     * @param fs - <code>FormSheet</code> to be changed
     */
    protected void createFormSheetContent(FormSheet fs) {
        fs.removeAllButtons();
		fs.addButton("Rent", 1, new RunProcessAction(new SaleProcessRent(), new DataBasketImpl()));
        
		fs.addButton("Hand back", 2, 
		        new RunProcessAction(new SaleProcessHandBack(), new DataBasketImpl()));        
		fs.addButton("Administrate", 3, 
		        (ActionCapability) user.getCapability(AutomatUser.CAPABILITY_ADMIN));
		fs.addButton("Logout", 4, new LogOutAction());
    }    
}
