package videoautomat.contentcreator;

import javax.swing.BoxLayout;
import javax.swing.JComponent;
import javax.swing.JLabel;
import javax.swing.JPanel;

import sale.FormSheet;
import sale.FormSheetContentCreator;
import sale.UIGate;
import videoautomat.SaleProcessRent;
import videoautomat.contentcreator.stdactions.CommitAction;
import data.MoneyBag;
import data.stdforms.SingleTableFormSheet;

/**
 * <code>ContentCreator</code> which changes the existing <code>FormSheet</code> 
 * to an addidtional table with the change money and some additional labels
 * @author Tobias Ruch
 */
public class RentConfirmFSContentCreator extends FormSheetContentCreator {

   /** Sales Proecess in which the content creator is used */
   private SaleProcessRent processRent;
   /** <code>UIGate</code> of the FormSheet for the secound FormSheet */ 
   private UIGate gate;
   
   /**
    * Constructs a new <code>RentConfirmFSContentCreator</code>.
    * @param process - <code>SaleProcessRent</code> in which the content creator is used.
    * @param gate - <code>UIGate</code> for the additional <code>SingleTableFormSheet</code>
    */
   public RentConfirmFSContentCreator(SaleProcessRent process, UIGate gate){
      this.processRent = process;
      this.gate = gate;
   }
   /**
    * Creates additional content to the given FormSheet.
    * Creates another table, some labels and the commit action to the ok button.
    * @param fs - FormSheet which should be changed
    */
   protected void createFormSheetContent(FormSheet fs) {
        SingleTableFormSheet stfs_money =
			SingleTableFormSheet.create("", (MoneyBag)processRent.getContext().getProcessData(SaleProcessRent.MB_TEMP_KEY), gate, processRent.getBasket());
			
		JComponent jc = new JPanel();
		jc.setLayout(new BoxLayout(jc, BoxLayout.Y_AXIS));
		jc.add(new JLabel("All your rented videos:"));
		jc.add(fs.getComponent());
		jc.add(new JLabel("The money you`ll get back:"));
		jc.add(stfs_money.getComponent());
		jc.add(new JLabel("Please, click Ok to confirm the transaction!"));
		fs.setComponent(jc);
		fs.removeButton(FormSheet.BTNID_CANCEL);
			
        fs.getButton(FormSheet.BTNID_OK).setAction(new CommitAction());

   }

}
