package videoautomat.contentcreator;
import sale.FormSheet;
import sale.FormSheetContentCreator;
import videoautomat.contentcreator.stdactions.RollBackAction;
import videoautomat.contentcreator.stdactions.TransitWithAction;
import videoautomat.transition.RentSumUpTransition;

/**
 * Content creator which adds rent, cancel button and there actions to the given formsheet
 *
 * @author Tobias Ruch 
 */
public class RentTTFSContentCreator extends FormSheetContentCreator {

   /**
    * Adds buttons and actions
    * @param fs - <code>FormSheet</code> which sould be changed
    */
   protected void createFormSheetContent(FormSheet fs) {
        
        fs.removeAllButtons();

        fs.addButton("Rent", 1, new TransitWithAction(new RentSumUpTransition()));
        fs.addButton("Cancel", 2, new RollBackAction());
   }
}
