package videoautomat.contentcreator.stdactions;

import sale.Action;
import sale.GateChangeTransition;
import sale.SaleProcess;
import sale.SalesPoint;
import sale.UIGate;

/**
 * Standart action to change next to commit gate.
 *
 * @author Tobias Ruch
 */
public class CommitAction implements Action {

   /**
    * Changes to the commit gate. Called by an action listener, such as an button.
    * The attribues are setted by the action listener.
    * @param saleProcess - current {@link sale.SaleProecess}
    * @param salePoint   - current {@link sale.SalesPoint}
    */
   public void doAction(SaleProcess saleProcess, SalesPoint salePoint) throws Throwable {
      UIGate currentGate = (UIGate)saleProcess.getCurrentGate();
      currentGate.setNextTransition(GateChangeTransition.CHANGE_TO_COMMIT_GATE);

   }

}
