package videoautomat.contentcreator.stdactions;

import sale.Action;
import sale.GateChangeTransition;
import sale.SaleProcess;
import sale.SalesPoint;
import sale.UIGate;

/**
 * Standard action to change to stop gate.
 * 
 * @author Alexander Herrmann
 *
 */
public class StopAction implements Action {
    
    /**
     * Changes to the stop gate. Called by an action listener, such as an button.
     * The attribues are set by the action listener.
     * @param saleProcess - current {@link sale.SaleProcess}
     * @param salePoint   - current {@link sale.SalesPoint}
     */
    public void doAction(SaleProcess saleProcess, SalesPoint salePoint) throws Throwable {
        UIGate currentGate = (UIGate)saleProcess.getCurrentGate();
        currentGate.setNextTransition(GateChangeTransition.CHANGE_TO_STOP_GATE);
     }
    
}
