package videoautomat.contentcreator.stdactions;

import sale.Action;
import sale.SaleProcess;
import sale.SalesPoint;
import sale.Transition;
import sale.UIGate;

/**
 * Standart action to perform the given transition
 * 
 * @author Tobias Ruch
 */
public class TransitWithAction implements Action {
   /**
    * Transition which should be performed by this action
    */
   private Transition transition;
   
    /**
     * Constructs an new action.
     * @param transition - Transition of this action.
     */
   public TransitWithAction(Transition transition){
      this.transition = transition;
   }
   
   /**
    * Performes the given transition.
    * @param saleProcess - current {@link sale.SaleProecess}
    * @param salePoint   - current {@link sale.SalesPoint}
    */
   public void doAction(SaleProcess saleProcess, SalesPoint salePoint) throws Throwable {
      UIGate currentGate = (UIGate)saleProcess.getCurrentGate();
      currentGate.setNextTransition(transition);
   }

}
