/*
 * Created on 18.09.2005
 *
 */
package videoautomat.transition;

import java.util.Iterator;

import data.NotEnoughMoneyException;
import data.NumberValue;
import data.QuoteValue;
import data.StockItem;
import data.StoringStock;
import data.Value;
import data.ooimpl.MoneyBagImpl;
import sale.Gate;
import sale.SaleProcess;
import sale.Transition;
import users.User;
import videoautomat.DisplayMoneyStockError;
import videoautomat.SaleProcessHandBack;
import videoautomat.VideoCassette;
import videoautomat.VideoShop;

/**
 * a <code>Transition</code> that calculates the money the user get back, temporary re-adds the handed
 * back videos to the {@link VideoShop}s stock and change to the
 * {@link SaleProcessHandBack#getChangeGate()}. If there is not enough change money in the shop, a
 * {@link DisplayMoneyStockError}opens and it returns the sale.SaleProcess#getRollbackGate()
 * 
 * @author Alexander Herrmann
 *
 */
public class HandBackCalculateSumTransition implements Transition {

    /**
     * Gate that performes the handback actions.
     * @author Alexander Herrmann
     */
    public Gate perform(SaleProcess sp, User user) {
        
        SaleProcessHandBack processHandback = (SaleProcessHandBack) sp;
        
        if (((StoringStock) processHandback.getContext().getProcessData(SaleProcessHandBack.SS_TEMP_KEY)).size(processHandback.getBasket()) == 0)
			return processHandback.restart();

		Iterator it = ((StoringStock) processHandback.getContext().getProcessData(SaleProcessHandBack.SS_TEMP_KEY)).iterator(processHandback.getBasket(), false);
		while (it.hasNext()) {
			StockItem ssi = (StockItem) it.next();
			Value v = null;
			v = ((QuoteValue) ssi.getAssociatedItem(null).getValue()).getOffer();
			NumberValue nv_sum = (NumberValue) processHandback.getContext().getProcessData(SaleProcessHandBack.CHG_MONEY_KEY);
			nv_sum = (NumberValue) nv_sum.add(v.subtract(((VideoCassette) ssi).getCost()));
			processHandback.getContext().setProcessData(SaleProcessHandBack.CHG_MONEY_KEY, nv_sum);

			VideoShop.getVideoStock().add(ssi.getName(), 1, processHandback.getBasket());
		}
		try{
			VideoShop.getMoneyBag().transferMoney(
			        (MoneyBagImpl) processHandback.getContext().getProcessData(SaleProcessHandBack.MB_TEMP_KEY),
			        processHandback.getBasket(),
			        (NumberValue) processHandback.getContext().getProcessData(SaleProcessHandBack.CHG_MONEY_KEY));
		}catch(NotEnoughMoneyException e){
			DisplayMoneyStockError dmse = new DisplayMoneyStockError();
			return processHandback.getRollbackGate();
		}
		
		return processHandback.getChangeGate();
    }

}
