package videoautomat.transition;

import sale.Gate;
import sale.SaleProcess;
import sale.Transition;
import users.User;
import videoautomat.SaleProcessLogOn;

/**
 * Transition that redirects to the process' initial gate.
 * @author Alexander Herrmann
 *
 */
public class LogOnFailTransition implements Transition {

    /**
     * Redirects to the initial gate of the current process.
     * @param sp - {@link sale.SaleProcess} on which to perform Transition
     * @param user - {@link users.User} with which to perform Transition
     */
    public Gate perform(SaleProcess sp, User user) {
        SaleProcessLogOn processLogOn = (SaleProcessLogOn) sp;
        return processLogOn.restart();
    }

}
